Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 184)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 185)
@@ -3427,50 +2194,56 @@
         }
         #endregion
 
-        #region セル編集開始
+        #region セルフォーマッティング
         /// <summary>
-        /// セル編集開始
+        /// セルフォーマッティング
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgvMaster_CellBeginEdit(object sender, DataGridViewCellCancelEventArgs e)
+
+        private void dgvMaster_CellFormatting(object sender, DataGridViewCellFormattingEventArgs e)
         {
-            dgvMaster.CellBeginEdit -= dgvMaster_CellBeginEdit;
+            DataGridView dgv = (DataGridView)sender;
 
-            int tcol = e.ColumnIndex;
-            int trow = e.RowIndex;
-
-            if ((tcol == (int)DispColumn.DepositAmountCash) ||
-                (tcol == (int)DispColumn.DepositAmountBill) ||
-                (tcol == (int)DispColumn.DepositAmount) ||
-                (tcol == (int)DispColumn.DiscountAmount) ||
-                (tcol == (int)DispColumn.CnstrPrice) ||
-                (tcol == (int)DispColumn.Fees) ||
-                (tcol == (int)DispColumn.OtherAdjustments) ||
-                (tcol == (int)DispColumn.CarryAmount))
+            try
             {
-                string val;
+                if (dgv.RowCount == 0)
+                {
+                    return;
+                }
 
-                // セルに値が格納されている場合
-                if (dgvMaster[tcol, trow].Value != null)
+                if (CommonMotions.cnvString(dgv[(int)DispColumn.No, e.RowIndex].Value) == "")
                 {
-                    // カンマ区切りを解除
-                    val = dgvMaster[tcol, trow].Value.ToString().Replace(",", string.Empty);
+                    return;
                 }
-                else
+                else if (e.ColumnIndex == (int)DispColumn.DepositAmount
+                    || e.ColumnIndex == (int)DispColumn.DiscountAmount
+                    || e.ColumnIndex == (int)DispColumn.CnstrPrice
+                    || e.ColumnIndex == (int)DispColumn.Fees
+                    || e.ColumnIndex == (int)DispColumn.OtherAdjustments
+                    || e.ColumnIndex == (int)DispColumn.DifferentAmount)
                 {
-                    // 0を入力
-                    val = "0";
+                    // マイナス値は赤
+                    if (CommonMotions.cnvInt(dgv[e.ColumnIndex, e.RowIndex].Value) < 0)
+                    {
+                        dgv[e.ColumnIndex, e.RowIndex].Style.ForeColor = Color.Red;
+                    }
+                    else
+                    {
+                        dgv[e.ColumnIndex, e.RowIndex].Style.ForeColor = SystemColors.ControlText;
+                    }
+
+                    dgv[e.ColumnIndex, e.RowIndex].Value = CommonMotions.cnvInt(dgv[e.ColumnIndex, e.RowIndex].Value).ToString("#,0");
                 }
-                dgvMaster[tcol, trow].Value = val;
 
-                // 文字色は一律黒
-                dgvMaster[tcol, trow].Style.ForeColor = Color.Black;
-
             }
-            dgvMaster.CellBeginEdit += dgvMaster_CellBeginEdit;
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
 
         }
         #endregion
+
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 184)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 185)
@@ -196,10 +196,12 @@
     <Compile Include="DataModel\ProcessApprovalCommnet.cs" />
     <Compile Include="DataModel\ProcessApprovalDetail.cs" />
     <Compile Include="DataModel\ProcessExcuter.cs" />
+    <Compile Include="DataModel\PurchaseOrderDate.cs" />
     <Compile Include="DataModel\RequestData.cs" />
     <Compile Include="DataModel\RequestDataDetail.cs" />
     <Compile Include="DataModel\RequestGridKeys.cs" />
     <Compile Include="DataModel\RequestHead.cs" />
+    <Compile Include="DataModel\RequestOrderDate.cs" />
     <Compile Include="DataModel\SubConstrJobItemRegist.cs" />
     <Compile Include="DataModel\SubConstrJobLinkRegist.cs" />
     <Compile Include="DataModel\SubConstrRegist.cs" />
@@ -242,9 +244,11 @@
     <Compile Include="DB\IOAccess\IOProceedingsDataAttend.cs" />
     <Compile Include="DB\IOAccess\IOProcessApprovalCommnet.cs" />
     <Compile Include="DB\IOAccess\IOProcessApprovalDetail.cs" />
+    <Compile Include="DB\IOAccess\IOPurchaseOrderDate.cs" />
     <Compile Include="DB\IOAccess\IORequestData.cs" />
     <Compile Include="DB\IOAccess\IORequestDataDetail.cs" />
     <Compile Include="DB\IOAccess\IORequestHead.cs" />
+    <Compile Include="DB\IOAccess\IORequestOrderDate.cs" />
     <Compile Include="DB\IOAccess\IOSubConstrJobItemRegist.cs" />
     <Compile Include="DB\IOAccess\IOSubConstrJobLinkRegist.cs" />
     <Compile Include="DB\IOAccess\IOSubConstrRegist.cs" />
@@ -334,11 +338,15 @@
     <Compile Include="Forms\DataEntry\DRWork\FrmDRWorkList.Designer.cs">
       <DependentUpon>FrmDRWorkList.cs</DependentUpon>
     </Compile>
-    <Compile Include="Forms\DataEntry\Material\ConstrMATLList\FrmConstrMATLList.cs" />
+    <Compile Include="Forms\DataEntry\Material\ConstrMATLList\FrmConstrMATLList.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\DataEntry\Material\ConstrMATLList\FrmConstrMATLList.designer.cs">
       <DependentUpon>FrmConstrMATLList.cs</DependentUpon>
     </Compile>
-    <Compile Include="Forms\DataEntry\Material\ConstrMATLList\FrmConstrMATLListAuxiliary.cs" />
+    <Compile Include="Forms\DataEntry\Material\ConstrMATLList\FrmConstrMATLListAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\DataEntry\Material\MaterialCountEntry\FrmMaterialCountEntry.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -574,11 +582,30 @@
     <Compile Include="Forms\DataEntry\PurchaseOrderStatus\FrmPurchaseOrderStatusAuxiliary.cs">
       <SubType>Form</SubType>
     </Compile>
-    <Compile Include="Forms\DataEntry\Request\ConstrReqList\FrmConstrReqList.cs" />
+    <Compile Include="Forms\DataEntry\PurchaseStatusInput\FrmPurchaseStatusInput.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\PurchaseStatusInput\FrmPurchaseStatusInput.designer.cs">
+      <DependentUpon>FrmPurchaseStatusInput.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\PurchaseStatusInput\FrmPurchaseStatusInputAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\ConstrReqList\FrmConstrReqList.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\DataEntry\Request\ConstrReqList\FrmConstrReqList.designer.cs">
       <DependentUpon>FrmConstrReqList.cs</DependentUpon>
     </Compile>
-    <Compile Include="Forms\DataEntry\Request\ConstrReqList\FrmConstrReqListAuxiliary.cs" />
+    <Compile Include="Forms\DataEntry\Request\ConstrReqList\FrmConstrReqListAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\FrmEntryDeposit.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Request\FrmEntryDeposit.Designer.cs">
+      <DependentUpon>FrmEntryDeposit.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\DataEntry\Request\FrmRegField.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -642,6 +669,9 @@
     <Compile Include="Forms\DataEntry\Request\SalesConfirm\FrmSalesConfirm.Designer.cs">
       <DependentUpon>FrmSalesConfirm.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\DataEntry\Request\SalesConfirm\FrmSalesConfirmAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\DataEntry\Request\SelectPayment\FrmSelectPayment.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -1361,9 +1391,15 @@
     <EmbeddedResource Include="Forms\DataEntry\PurchaseOrderStatus\FrmPurchaseOrderStatus.resx">
       <DependentUpon>FrmPurchaseOrderStatus.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\PurchaseStatusInput\FrmPurchaseStatusInput.resx">
+      <DependentUpon>FrmPurchaseStatusInput.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\Request\ConstrReqList\FrmConstrReqList.resx">
       <DependentUpon>FrmConstrReqList.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\Request\FrmEntryDeposit.resx">
+      <DependentUpon>FrmEntryDeposit.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\Request\FrmRegField.resx">
       <DependentUpon>FrmRegField.cs</DependentUpon>
     </EmbeddedResource>
Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user	(revision 184)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj.user	(revision 185)
@@ -3,7 +3,7 @@
   <PropertyGroup>
     <ReferencePath>
     </ReferencePath>
-    <ProjectView>ProjectFiles</ProjectView>
+    <ProjectView>ShowAllFiles</ProjectView>
     <PublishUrlHistory>publish\</PublishUrlHistory>
     <InstallUrlHistory />
     <SupportUrlHistory />
